Skip to content

Update automation activity

PUT
/api/v1/aura_automations/configs/{config_id}
config_id
required
Config Id
integer
UpdateAutomationConfigRequest
object
data
required
AutomationConfigData
object
automation_type
required
Automation Type
string
Allowed values: warm_up search reply_inbox
platform
Platform
string
default: tiktok
Allowed value: tiktok
frequency
Frequency
string
default: daily
Allowed values: daily weekly
duration
Duration
string
default: 30_minutes
Allowed values: 15_minutes 30_minutes 1_hour
start_time
required
Start Time

Start time in HH:MM format

string
Example
11:00
end_time
required
End Time

End time in HH:MM format

string
Example
12:00
like_videos
Any of:
string
Allowed values: 1_to_5_videos_a_day 6_to_10_videos_a_day 11_to_30_videos_a_day
like_videos_criteria
Any of:
string
Allowed values: at_least_100_likes at_least_10k_likes at_least_100k_likes at_least_500k_likes
comment_on_videos
Any of:
string
Allowed values: 1_to_5_videos_a_day 6_to_10_videos_a_day 11_to_30_videos_a_day
comment_on_videos_criteria
Any of:
string
Allowed values: at_least_100_likes at_least_10k_likes at_least_100k_likes at_least_500k_likes
comment_prompt
Any of:
string
like_account
Any of:
string
comment_review
Any of:
boolean
keyword
Any of:
string
status
Any of:
string
Allowed values: active inactive

Successful Response

AutomationConfigResponse
object
id
required
Id
integer
agent_id
required
Agent Id
string
automation_type
required
Automation Type
string
Allowed values: warm_up search reply_inbox
platform
required
Platform
string
frequency
required
Frequency
string
duration
required
Duration
string
start_time
required
Start Time
string
end_time
required
End Time
string
status
required
Status
string
created_at
required
Created At
integer
updated_at
required
Updated At
integer
like_videos
Any of:
string
like_videos_criteria
Any of:
string
comment_on_videos
Any of:
string
comment_on_videos_criteria
Any of:
string
comment_prompt
Any of:
string
like_account
Any of:
string
comment_review
Any of:
boolean
keyword
Any of:
string
latest_status
Any of:
LatestStatus
object
status
Any of:
string
scheduled_init_phone_time
Any of:
string
actual_start_time
Any of:
string
scheduled_end_time
Any of:
string
actual_end_time
Any of:
string
last_run
Any of:
string

Validation error: Invalid time format, start_time must be before end_time, or time out of range.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "start_time must be before end_time",
"error_code": "invalid_time_range"
}

Not Found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string